module PerPageLoader
  class Container
    attr_accessor :view_context

    def initialize(view_context)
      @view_context = view_context
    end

    def render
      view_context.render(
        partial: partial_name
      )
    end

    private

    def partial_name
      self.class.name.underscore
    end
  end
end
