require 'generators/per_page_loader/base_generator'

module PerPageLoader
  module Generators
    class ComponentGenerator < BaseGenerator
      argument :actions, type: :array, default: [], banner: "Array of actions to be added to the component"
      class_option :dir, type: :string, default: "application", desc: "The directory where the file should go"

      def create_coffee_component_file
        template 'component.erb', File.join("app/assets/javascripts/#{options[:dir]}/components", "#{file_name}_component.coffee")
      end
    end
  end
end
